Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.eclipse.lyo.core.query
Enum SimpleTerm.Type

    java.lang.Object
      java.lang.Enum<SimpleTerm.Type>
          org.eclipse.lyo.core.query.SimpleTerm.Type

All Implemented Interfaces:
  Serializable, Comparable<SimpleTerm.Type>

Enclosing interface:
  SimpleTerm

    public static enum SimpleTerm.Type

extends Enum<SimpleTerm.Type>

Enum Constant Summary
`COMPARISON`
`IN_TERM`
`NESTED`
`TOP_LEVEL`

Method Summary
`static SimpleTerm.Type` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SimpleTerm.Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### COMPARISON

    public static final SimpleTerm.Type COMPARISON

### IN_TERM

    public static final SimpleTerm.Type IN_TERM

### NESTED

    public static final SimpleTerm.Type NESTED

### TOP_LEVEL

    public static final SimpleTerm.Type TOP_LEVEL

Method Detail

### values

    public static SimpleTerm.Type[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (SimpleTerm.Type c : SimpleTerm.Type.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static SimpleTerm.Type valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2014. All Rights Reserved.